%{?nodejs_find_provides_and_requires}

%global packagename is-absolute
%global enable_tests 1

Name:		nodejs-is-absolute
Version:	0.2.3
Release:	4%{?dist}
Summary:	Returns true if a file path is absolute

License:	MIT
URL:		https://github.com/jonschlinkert/is-absolute.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball, and haven't been tagged for version 0.2.3
Source1:	https://raw.githubusercontent.com/jonschlinkert/is-absolute/master/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(is-relative)
BuildRequires:	npm(is-windows)
%endif

%description
Returns true if a file path is absolute.


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Dec 26 2015 Jared Smith <jsmith@fedoraproject.org> - 0.2.3-3
- Update and enable tests

* Wed Dec 16 2015 Jared Smith <jsmith@fedoraproject.org> - 0.2.3-1
- Initial packaging
